/api/v1/datagrids (GET)
GET
/api/v1/datagrids
const url = 'https://api.endless.zaia.app/api/v1/datagrids?pageNumber=1&pageSize=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/datagrids?pageNumber=1&pageSize=10'Retrieves multiple datagrids.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”pageNumber
The page number.
number
The page number.
pageSize
The page size.
number
The page size.
search
Search term to filter datagrids by name or description.
string
Search term to filter datagrids by name or description.
Responses
Seção intitulada “Responses”Retrieves all datagrids for the workspace.
Media typeapplication/json
Array<object>
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
updatedAt
required
string format: date-time
contentUpdatedAt
required
When the content of the datagrid was last updated.
string format: date-time
description
required
The internal description of the datagrid.
string
name
required
The display name of the datagrid.
string
workspaceId
required
The workspace ID that owns the datagrid.
string format: uuid
Examplegenerated
[ { "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updatedAt": "2026-04-15T12:00:00Z", "contentUpdatedAt": "2026-04-15T12:00:00Z", "description": "example", "name": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }]Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}